AddCone Method

Back to Methods Reference

Creates a 3D solid cone with the base on the XY plane of the WCS.

Signature

VBA : RetVal = object.AddCone(Center, BaseRadius, Height)

VLA : RetVal = (vla-AddCone object Center BaseRadius Height)

(vla-addcone mspace pt1 rad hgt)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • Center : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the center of the bounding box.
  • BaseRadius Double : input-only
    The radius of the cone base. Must be a positive number.
  • Height Double : input-only
    The height of the cone. Must be a positive number.
  • RetVal : 3DSolid object
    A 3DSolid object as the newly created cone.

Example :


(setq doc (vla-get-activedocument (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace doc))

(setq pt1 (vlax-3d-point (setq pt (getpoint "\nCenter point: "))))

(setq rad (getdist "\nBase radius: " pt))

(setq hgt (getdist "\nCone height: " pt))

(vla-addcone mspace pt1 rad hgt)

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website